import { ComponentFixture, TestBed } from '@angular/core/testing';

import { getElementFromFixtureByType } from '@alfa-client/test-utils';
import { MailboxIconComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { PostfachMailListMailboxIconComponent } from './mailbox-icon.component';

describe('PostfachMailListMailboxIconComponent', () => {
  let component: PostfachMailListMailboxIconComponent;
  let fixture: ComponentFixture<PostfachMailListMailboxIconComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [PostfachMailListMailboxIconComponent],
      declarations: [MockComponent(MailboxIconComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(PostfachMailListMailboxIconComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('mailboxIcon', () => {
    it('should show badge when there is a new message', () => {
      component.hasNewPostfachNachricht = true;

      fixture.detectChanges();

      const mailboxIcon: MailboxIconComponent = getElementFromFixtureByType(fixture, MailboxIconComponent);
      expect(mailboxIcon.showBadge).toBeTruthy();
    });

    it('should not show badge when there is no new message', () => {
      component.hasNewPostfachNachricht = false;

      fixture.detectChanges();

      const mailboxIcon: MailboxIconComponent = getElementFromFixtureByType(fixture, MailboxIconComponent);
      expect(mailboxIcon.showBadge).toBeFalsy();
    });
  });
});
