import { CommandResource } from '@alfa-client/command-shared';
import { PostfachMailListLinkRel, PostfachMailListResource, PostfachService } from '@alfa-client/postfach-shared';
import { createEmptyStateResource, HasLinkPipe, StateResource } from '@alfa-client/tech-shared';
import { Component, inject, Input } from '@angular/core';
import { ButtonComponent, MailUnreadIconComponent, TooltipDirective } from '@ods/system';
import { Observable, of } from 'rxjs';

@Component({
  selector: 'alfa-mail-unread-button-link-container',
  standalone: true,
  imports: [HasLinkPipe, MailUnreadIconComponent, TooltipDirective, ButtonComponent],
  templateUrl: './mail-unread-button-link-container.component.html',
})
export class MailUnreadButtonLinkContainerComponent {
  private readonly postfachService = inject(PostfachService);

  @Input() postfachMailListResource: PostfachMailListResource;
  @Input() showAsIconButton: boolean = false;

  commandStateResource$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource<CommandResource>());

  protected readonly PostfachMailListLinkRel = PostfachMailListLinkRel;

  public markMailAsUnread() {
    this.postfachService.setPostfachNachrichtListAsUnread();
  }
}
